Name:           megi-kernel-pboot-beta
Version:        6.13.0
Release:        0.rc1%{?dist}
Summary:        latest megi kernel for the pinephone 

License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.13
Source0:        pinephones-beta.tar.gz
Source1:        p-boot-reconf.sh
#Source2:        boot.scr

#BuildArch:      aarch64

#Requires:       yoda-uboot
#Requires:       pinephone-helpers
Requires:       /bin/bash
Requires:       /bin/sh

BuildRequires:       /bin/bash
BuildRequires:       /bin/sh

#Obsoletes:      kernel-megi-bh
#Obsoletes:      kernel-megi-ce

Conflicts:      megi-kernel-pboot

%description
Megis version of the Linux Kernel, for PinePhone with pboot

%global debug_package %{nil}

%prep
%autosetup -p1 -n pinephones

%pre
if 
 cp /boot/Image /boot/Image-old
 then echo "1"
fi
if
 cp -r /lib/modules/ /lib/modules-bak2/
 then echo "2"
fi

%preun
# if
# cp /boot/Image /boot/Image-old
# then echo "3"
# fi
if
 cp -r /lib/modules/ /lib/modules-bak/
 then echo "4"
fi

%install
mkdir -p $RPM_BUILD_ROOT/boot/pboot/
cp Image $RPM_BUILD_ROOT/boot/
cp %{SOURCE1} $RPM_BUILD_ROOT/boot/pboot/p-boot-reconf.sh
mkdir -p $RPM_BUILD_ROOT/boot/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/rockchip
#cp board-1.2.dtb $RPM_BUILD_ROOT/boot/allwinner/sun50i-a64-pinephone-1.2.dtb
#cp pinetab.dtb $RPM_BUILD_ROOT/boot/allwinner/sun50i-a64-pinetab.dtb
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%post
if
 mv -n /lib/modules-bak2/* /lib/modules/
 then echo "5"
fi
cd /boot/pboot
bash ./p-boot-reconf.sh
echo "6"

%postun
if
 mv -n /lib/modules-bak/* /lib/modules/
 then echo "7"
fi

%files
/boot/Image
/boot/pboot/p-boot-reconf.sh
#/boot/boot.scr
/lib/modules/
/boot/allwinner/sun50i-a64-pinephone-1.0.dtb
/boot/allwinner/sun50i-a64-pinephone-1.1.dtb
/boot/allwinner/sun50i-a64-pinephone-1.2.dtb
/boot/allwinner/sun50i-a64-pinetab.dtb
/boot/rockchip/

%changelog
* Fri Jan 03 2025 Yoda - 6-13-0-rc1
- Change from megi-wifi to mainline-wifi
- upgrade to 6.13.0-rc1

* Mon Sep 16 2024 Yoda - 6.11.0-rc8
- upgrade to 6.11.0-rc8

* Mon Jul 22 2024 Yoda - 6.10.0-1
- upgrade to 6.10.0

* Wed May 15 2024 Yoda - 6.9.0-1
- Minor fix to jack

* Mon May 13 2024 Yoda - 6.9.0-1
- Upgrade to 6.9.0

* Sat Oct 14 2023 Yoda - 6.6.0-rc5
- Upgrade to 6.6.0-rc5

* Mon Oct 09 2023 Yoda - 6.6.0-rc4
- Upgrade to 6.6.0-rc4

* Mon Jun 12 2023 Yoda - 6.4.0-rc5
- Upgrade to 6.4.0-rc5

* Sun Apr 30 2023 Yoda - 6.3.0-rc9
- Update to 6.3.0-rc9

* Thu Mar 30 2023 Yoda - 6.3.0-rc4
- Update to 6.3.0-rc4

* Wed Mar 15 2023 Yoda - 6.3.0-rc2
- Upgrade to 6.3.0-rc2

* Fri Feb 17 2023 Yoda - 6.2.0-rc8
- Upgrade to 6.2.0-rc8

* Tue Jan 31 2023 Yoda - 6.2.0-rc5
- Upgrade to 6.2.0-rc5

* Mon Jan 30 2023 Yoda - 6.1.7-1
- Upgrade to 6.1.7

* Sat Jan 07 2023 Yoda - 6.1.3-1
- Upgrade to 6.1.3

* Wed Jan 04 2023 Yoda - 6.1.2-1
- Upgrade to 6.1.2

* Sun Dec 11 2022 Yoda - 6.1.0-0.rc8
- Upgrade to 6.1.0-rc8

* Sat Dec 10 2022 Yoda - 6.1.0-0.rc7
- Update to 6.1.0-0.rc7

* Mon Oct 17 2022 Yoda - 6.1.0-0.rc1
- Update to 6.1.0-0.rc1

* Mon Aug 29 2022 Yoda - 6.0.0-0.rc3
- Update to 6.0.0-0.rc3

* Mon Aug 29 2022 Yoda - 6.0.0-0.rc2
- Update to 6.0.0-0.rc2

* Mon Aug 22 2022 Yoda - 5.19.3-1
- Upgrade to 5.19.3-1

* Sat Aug 20 2022 Yoda - 6.0.0-0.rc1
- Update to 6.0.0-0.rc1

* Sun Aug 14 2022 Yoda - 5.19.1-1
- Upgrade to 5.19.1-1

* Wed Aug 03 2022 Yoda - 5.19.0-1
- Upgrade to 5.19.0-1
- New kernel build for both PP and PPP

* Sun Jul 24 2022 Yoda - 5.19.0-1.rc7
- Upgrade to 5.19.0-1.rc7

* Sun Jul 17 2022 Yoda - 5.19.0-1.rc6
- Upgrade to 5.19.0-1.rc6

* Fri Jul 08 2022 Yoda - 5.19.0-1.rc5
- Upgrade to 5.19.0-1.rc5

* Tue Jun 28 2022 Yoda - 5.19.0-1.rc4
- Upgrade to 5.19.0-1.rc4

* Wed Jun 15 2022 Yoda - 5.18.4-1
- Upgrade to 5.18.4-1

* Sun May 08 2022 Yoda - 5.18.2-1
- Upgrade to 5.18.2-1

* Sat Apr 09 2022 Yoda - 5.18.0-1.rc1
- Upgrade to 5.18.0-1.rc1

* Tue Mar 22 2022 Yoda - 5.17.0-1
- Upgrade to 5.17.0-1

* Thu Mar 17 2022 Yoda - 5.17.0-rc7
- Upgrade to 5.17.0-0.rc7

* Fri Mar 04 2022 Yoda - 5.17.0-rc5
- Upgrade to 5.17.0-0.rc5

* Thu Jan 06 2022 Yoda - 5.16.0-rc8
- Added audit
- Upgrade to 5.16.0-0.rc8

* Fri Nov 05 2021 Yoda - 5.15.0-2 GA
- Upgrade to 5.15.0-2 GA

* Thu Oct 28 2021 Yoda - 5.15.0-rc7
- Switch to using ppd package
- Upgrade to 5.15.0-1.rc7

* Sun Oct 24 2021 Yoda - 5.15.0-rc6
- Upgrade to 5.15.0-1.rc6

* Mon Sep 27 2021 Yoda - 5.14.8-1
- Upgrade to 5.14.3-1

* Tue Sep 21 2021 Yoda - 5.14.3-1
- Upgrade to 5.14.3-1

* Sat Aug 21 2021 Yoda - 5.14.0-0.rc6
- Upgrade to 5.14.0-0rc6

* Sat Jul 31 2021 Yoda - 5.14.0-0.rc2 
- Upgrade to 5.14.0-0rc2 

* Sat May 08 2021 Yoda - 5.13.0-0.rc3
- Upgrade to 5.13.0-0rc3 
- New beta package for release candidates of latest kernel
